﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

a.navbar-brand {
  white-space: normal;
  text-align: center;
  word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
  color: #0366d6;
}

.btn-primary {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  font-size: 14px;
}
@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.border-top {
  border-top: 1px solid #e5e5e5;
}
.border-bottom {
  border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
  box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
  font-size: 1rem;
  line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  position: relative;
  min-height: 100%;
}

body {
  /* Margin bottom by footer height */
  margin-bottom: 60px;
}
.footer {
  position: absolute;
  bottom: 0;
  width: 100%;
  white-space: nowrap;
  line-height: 60px; /* Vertically center the text there */
}


/* App specific
-------------------------------------------------- */

.bg-ydh-purple {
    background-color: #6d3176 !important;
}

.smaller-text {
    font-size: smaller;
}

.larger-text {
    font-size: larger;
}

.x-large-text {
    font-size: x-large;
}

.btn-success {
    background-color: #1e7b34;
    border-color: #1e7b34;
}

.nav-link {
    padding: .25rem 1rem !important;
}

    .nav-link.nav-link-slim {
        padding: .25rem .5rem !important;
    }

    .nav-link.text-white:hover {
        text-shadow: 0 0 5px #fff !important;
    }

    .nav-link.text-purple:hover {
        text-shadow: 0 0 5px #dbb7e1 !important;
    }

.navbar-brand:hover {
    text-shadow: 0 0 5px #fff !important;
}

.fit-content-to-cell {
    width: 1%;
    white-space: nowrap;
}

.nowrap {
    white-space: nowrap;
}

.btn-success {
    background-color: #1e7b34;
    border-color: #1e7b34;
}